Bug 12158 - [3.3 regression] [hppa] compilation does not terminate at -O1
Summary: [3.3 regression] [hppa] compilation does not terminate at -O1
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: rtl-optimization (show other bugs)
Version: 3.3.2
: P2 critical
Target Milestone: 3.3.3
Assignee: Eric Botcazou
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2003-09-03 20:19 UTC by Debian GCC Maintainers
Modified: 2004-01-05 07:41 UTC (History)
2 users (show)

See Also:
Host: hppa-linux
Target: hppa-linux
Build: hppa-linux
Known to work:
Known to fail:
Last reconfirmed: 2003-12-21 21:00:18


Attachments
preprocessed source (19.85 KB, application/gzip)
2003-09-03 20:20 UTC, Debian GCC Maintainers
Details
Test case (30 lines) (302 bytes, text/plain)
2003-11-16 03:50 UTC, Falk Hueffner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Debian GCC Maintainers 2003-09-03 20:19:56 UTC
[forwarded from http://bugs.debian.org/207516]

seen with 3.3 branch 20030831.

gcc -c -O1 doesn't terminate (-O0 and -O2 and gcc -3.2 -O[012]) do.

the memory consumption remains constant over at least 10 CPU minutes.
Comment 1 Debian GCC Maintainers 2003-09-03 20:20:28 UTC
Created attachment 4695 [details]
preprocessed source
Comment 2 Mark Mitchell 2003-10-16 09:29:42 UTC
Postponed until GCC 3.3.3.
Comment 3 Falk Hueffner 2003-11-16 03:49:27 UTC
Confirmed with 3.3.2, will attach test case
Comment 4 Falk Hueffner 2003-11-16 03:50:22 UTC
Created attachment 5144 [details]
Test case (30 lines)
Comment 5 Eric Botcazou 2003-12-11 11:17:31 UTC
Investigating.
Comment 6 Gabriel Dos Reis 2003-12-24 21:13:26 UTC
Eric --

I know it is Christmas :-)

Did you make any progress in your investigation?

Merry Christmas, BTW
Comment 7 Eric Botcazou 2003-12-25 09:45:07 UTC
See http://gcc.gnu.org/ml/gcc-patches/2003-12/msg01946.html
Comment 8 Eric Botcazou 2004-01-05 07:41:58 UTC
Fixed by:

2004-01-01  Jakub Jelinek  <jakub@redhat.com>

	PR optimization/13521
	Backport from mainline:
		2003-03-22  Richard Henderson <rth@redhat.com>

		* cfgcleanup.c (insns_match_p): Do not do EQUIV substitution
		after reload.

Thanks and Happy New Year, Jakub!